<?php
/**
 * Astronomy Store functions and definitions
 *
 * @package Astronomy Store
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! function_exists( 'astronomy_store_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function astronomy_store_setup() {
	global $content_width;
	if ( ! isset( $content_width ) )
		$content_width = 680;

	load_theme_textdomain( 'astronomy-store', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'align-wide' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'wp-block-styles');
	add_theme_support( 'custom-header', array(
		'default-text-color' => false,
		'header-text' => false,
	) );
	add_theme_support( 'custom-logo', array(
		'height'      => 100,
		'width'       => 100,
		'flex-height' => true,
	) );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'astronomy-store' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );
	/*
	 * Enable support for Post Formats.
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );
	
	add_editor_style( 'editor-style.css' );

	global $pagenow;

    if ( is_admin() && 'themes.php' === $pagenow && isset( $_GET['activated'] ) && current_user_can( 'manage_options' ) ) {
        add_action('admin_notices', 'astronomy_store_deprecated_hook_admin_notice');
    }
}
endif; // astronomy_store_setup
add_action( 'after_setup_theme', 'astronomy_store_setup' );

function astronomy_store_the_breadcrumb() {
    echo '<div class="breadcrumb my-3">';

    if (!is_home()) {
        echo '<a class="home-main align-self-center" href="' . esc_url(home_url()) . '">';
        bloginfo('name');
        echo "</a>";

        if (is_category() || is_single()) {
            the_category(' , ');
            if (is_single()) {
                echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (is_page()) {
            echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
        }
    }

    echo '</div>';
}

function astronomy_store_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'astronomy-store' ),
		'description'   => __( 'Appears on blog page sidebar', 'astronomy-store' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'astronomy-store' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'astronomy-store' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'astronomy-store' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'astronomy-store' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Shop Page Sidebar', 'astronomy-store' ),
		'description'   => __( 'Appears on shop page', 'astronomy-store' ),
		'id'            => 'woocommerce_sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'astronomy-store'),
        'description'   => __('Sidebar for single product pages', 'astronomy-store'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));	

	$astronomy_store_widget_areas = get_theme_mod('astronomy_store_footer_widget_areas', '4');
	for ($astronomy_store_i=1; $astronomy_store_i <= 4; $astronomy_store_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'astronomy-store' ) . $astronomy_store_i,
			'id'            => 'footer-' . $astronomy_store_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}
}
add_action( 'widgets_init', 'astronomy_store_widgets_init' );

// Change number of products per row to 4
add_filter('loop_shop_columns', 'astronomy_store_loop_columns');
if (!function_exists('astronomy_store_loop_columns')) {
    function astronomy_store_loop_columns() {
        $colm = get_theme_mod('astronomy_store_products_per_row', 4); // Default to 4 if not set
        return $colm;
    }
}

// Use the customizer setting to set the number of products per page
function astronomy_store_products_per_page($cols) {
    $cols = get_theme_mod('astronomy_store_products_per_page', 9); // Default to 9 if not set
    return $cols;
}
add_filter('loop_shop_per_page', 'astronomy_store_products_per_page', 9);

function astronomy_store_scripts() {

	wp_enqueue_style( 'bootstrap-css', esc_url(get_template_directory_uri())."/css/bootstrap.css" );
	wp_enqueue_style('astronomy-store-style', get_stylesheet_uri(), array() );
		wp_style_add_data('astronomy-store-style', 'rtl', 'replace');
    wp_enqueue_style( 'astronomy-store-style', get_stylesheet_uri() );
	
	wp_enqueue_style( 'owl.carousel-css', esc_url(get_template_directory_uri())."/css/owl.carousel.css" );
	wp_enqueue_style( 'astronomy-store-default', esc_url(get_template_directory_uri())."/css/default.css" );
	wp_enqueue_script( 'owl.carousel-js', esc_url(get_template_directory_uri()). '/js/owl.carousel.js', array('jquery') );
	wp_enqueue_script( 'bootstrap-js', esc_url(get_template_directory_uri()). '/js/bootstrap.js', array('jquery') );
	wp_enqueue_script( 'astronomy-store-theme', esc_url(get_template_directory_uri()) . '/js/theme.js' );
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/css/fontawesome-all.css" );
	wp_enqueue_style( 'astronomy-store-block-style', esc_url( get_template_directory_uri() ).'/css/blocks.css' );
	/*--------------------------- Animations -------------------*/
    if ( get_theme_mod( 'astronomy_store_animation_enabled', true ) ) {
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/js/wow.js', array('jquery'),'' ,true );
        wp_enqueue_style( 'animate-style', get_template_directory_uri().'/css/animate.css' );
    }

	require get_parent_theme_file_path( '/inc/color-scheme/custom-color-control.php' );
	wp_add_inline_style( 'astronomy-store-style',$astronomy_store_color_scheme_css );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// font-family
	$astronomy_store_headings_font = esc_html(get_theme_mod('astronomy_store_headings_fonts'));
	$astronomy_store_body_font = esc_html(get_theme_mod('astronomy_store_body_fonts'));

	if ($astronomy_store_headings_font) {
	    wp_enqueue_style('astronomy-store-headings-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($astronomy_store_headings_font));
	} else {
	    wp_enqueue_style('cinzel-decorative', 'https://fonts.googleapis.com/css?family=Cinzel+Decorative:wght@400;700;900');
	}
	if ($astronomy_store_body_font) {
	    wp_enqueue_style('poppins', 'https://fonts.googleapis.com/css?family=' . urlencode($astronomy_store_body_font));
	} else {
	    wp_enqueue_style('astronomy-store-source-body', 'https://fonts.googleapis.com/css?family=Poppins:0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900');
	}	

}
add_action( 'wp_enqueue_scripts', 'astronomy_store_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Sanitization Callbacks.
 */
require get_template_directory() . '/inc/sanitization-callbacks.php';

/**
 * Webfont-Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Theme Info Page.
 */
require get_template_directory() . '/inc/addon.php';
/**
 * Google Fonts
 */
require get_template_directory() . '/inc/gfonts.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/upgrade-to-pro.php';

// select
require get_template_directory() . '/inc/select/category-dropdown-custom-control.php';

/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

/* Starter Content */
	add_theme_support( 'starter-content', array(
		'widgets' => array(
			'footer-1' => array(
				'categories',
			),
			'footer-2' => array(
				'archives',
			),
			'footer-3' => array(
				'meta',
			),
			'footer-4' => array(
				'search',
			),
		),
    ));
    
function astronomy_store_setup_theme() {
	if ( ! defined( 'ASTRONOMY_STORE_PRO_NAME' ) ) {
		define( 'ASTRONOMY_STORE_PRO_NAME', __( 'About Car Service', 'astronomy-store' ));
	}
	if ( ! defined( 'ASTRONOMY_STORE_THEME_PAGE' ) ) {
	define('ASTRONOMY_STORE_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','astronomy-store'));
	}
	if ( ! defined( 'ASTRONOMY_STORE_SUPPORT' ) ) {
	define('ASTRONOMY_STORE_SUPPORT',__('https://wordpress.org/support/theme/astronomy-store/','astronomy-store'));
	}
	if ( ! defined( 'ASTRONOMY_STORE_REVIEW' ) ) {
	define('ASTRONOMY_STORE_REVIEW',__('https://wordpress.org/support/theme/astronomy-store/reviews/','astronomy-store'));
	}
	if ( ! defined( 'ASTRONOMY_STORE_PRO_DEMO' ) ) {
	define('ASTRONOMY_STORE_PRO_DEMO',__('https://live.theclassictemplates.com/astronomy-store-pro/','astronomy-store'));
	}
	if ( ! defined( 'ASTRONOMY_STORE_PREMIUM_PAGE' ) ) {
	define('ASTRONOMY_STORE_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/astronomy-wordpress-template','astronomy-store'));
	}
	if ( ! defined( 'ASTRONOMY_STORE_THEME_DOCUMENTATION' ) ) {
	define('ASTRONOMY_STORE_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/astronomy-store-free/','astronomy-store'));
	}
	if ( ! defined( 'ASTRONOMY_STORE_BUNDLE_PAGE' ) ) {
		define('ASTRONOMY_STORE_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','astronomy-store'));
	}
}
add_action('after_setup_theme', 'astronomy_store_setup_theme');

if ( ! function_exists( 'astronomy_store_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function astronomy_store_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

/* Activation Notice */
function astronomy_store_deprecated_hook_admin_notice() {
	 $astronomy_store_theme = wp_get_theme();
	$astronomy_store_meta = get_option( 'astronomy_store_admin_notice' );

	if (!$astronomy_store_meta) {
    ?>
        <div id="astronomy-store-welcome-notice" class="getstrat updated notice notice-success welcome-notice is-dismissible notice-get-started-class">
            <div class="admin-image">
                <img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
            <div class="admin-content" >
                <h1><?php 
				/* translators: 1: Theme name, 2: Theme version. */
				printf( esc_html__( 'Welcome to %1$s %2$s', 'astronomy-store' ), esc_html($astronomy_store_theme->get( 'Name' )), esc_html($astronomy_store_theme->get( 'Version' ))); ?>
                </h1>
                <p><?php _e('Get Started With Theme By Clicking On Getting Started.', 'astronomy-store'); ?></p>
                <div style="display: grid;">
                    <a class="admin-notice-btn button button-hero upgrade-pro" target="_blank" href="<?php echo esc_url( ASTRONOMY_STORE_PREMIUM_PAGE ); ?>"><?php esc_html_e('Upgrade Pro', 'astronomy-store') ?><i class="dashicons dashicons-cart"></i></a>
                    <a class="admin-notice-btn button button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=astronomy-store' )); ?>"><?php esc_html_e( 'Get started', 'astronomy-store' ) ?><i class="dashicons dashicons-backup"></i></a>
                    <a class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( ASTRONOMY_STORE_THEME_DOCUMENTATION ); ?>"><?php esc_html_e('Free Doc', 'astronomy-store') ?><i class="dashicons dashicons-visibility"></i></a>
                    <a  class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( ASTRONOMY_STORE_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'astronomy-store') ?><i class="dashicons dashicons-awards"></i></a>
                </div>
            </div>
			<div class="admin-bundle-image">
				<a href="<?php echo esc_url( ASTRONOMY_STORE_BUNDLE_PAGE ); ?>" target="_blank"><img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/images/image_1.webp'; ?>" /></a>
			</div>
        </div>
	<?php
    }
}
// Admin notice code START
function astronomy_store_dismissed_notice() {
	update_option( 'astronomy_store_admin_notice', true );
}
add_action( 'wp_ajax_astronomy_store_dismissed_notice', 'astronomy_store_dismissed_notice' );


//After Switch theme function
add_action('after_switch_theme', 'astronomy_store_getstart_setup_options');
function astronomy_store_getstart_setup_options () {
    update_option('astronomy_store_admin_notice', false );
}
// Admin notice code END